
HealPointsBSL = { };

if (GetLocale() == "enUS" or GetLocale() == "enGB") then
	HealPointsBSL.SOCKET_MSG = "<Shift Right Click to Socket>";
	HealPointsBSL.GEM_TYPE = "Gem";
  HealPointsBSL.AND = "and"; 
	
	-- passive bonus patterns. checked against lines which start with above prefixes
	HealPointsBSL.PATTERNS_SETEQUIP = {
    -- General patterns
		{ pattern = "Increases healing done by spells and effects by up to (%d+)%.", effect = "HEAL" },
		{ pattern = "Increases damage and healing done by magical spells and effects by up to (%d+)%.", effect = "HEAL" },
		{ pattern = "Restores (%d+) mana per 5 sec%.", effect = "MANAREG" },
		{ pattern = "Restores (%d+) mana every 5 sec%.", effect = "MANAREG" },
		{ pattern = "Increases your spell critical strike rating by (%d+)%.", effect = "SPELLCRITRATING"}, 
		{ pattern = "Improves spell critical strike rating by (%d+)%.", effect = "SPELLCRITRATING"}, 
		{ pattern = "Allow (%d+)%% of your Mana regeneration to continue while casting%.", effect = "CASTINGREG"},
    { pattern = "Increases healing by up to (%d+)%% of your total Intellect%.", effect = "HEALFROMINT" },
    { pattern = "Increases spell damage by up to (%d+)%% of your total Intellect%.", effect = "HEALFROMINT" }, 
    { pattern = "Improves spell haste rating by (%d+)%.", effect = "SPELLHASTERATING"}, -- TODO: Localize
    
		-- Paladin sets
		{ pattern = "Reduces the casting time of your Holy Light spell by 0%.(%d+) sec%.", effect = "CASTINGHOLYLIGHT"}, -- Tier 5, ZG
    { pattern = "Increases the critical effect chance of your Flash of Light by (%d+)%%%.", effect = "CRITFLASHOFLIGHT"}, -- Arena 
    { pattern = "Increases the critical strike chance of your Holy Light ability by (%d+)%%%.", effect = "CRITHOLYLIGHT"}, -- Tier 6 TODO: Localize
    { pattern = "Increases the healing from your Flash of Light ability by (%d+)%%%.", effect = "IMPFLASHOFLIGHT2"}, -- Tier 6 TODO: Localize

    -- Priest sets
		{ pattern = "%-0%.(%d+) sec to the casting time of your Flash Heal spell%.", effect = "CASTINGFLASHHEAL"}, -- Tier 1
		{ pattern = "Your Greater Heals now have a heal over time component equivalent to a rank (%d+) Renew%.", effect = "GHEALRENEW"}, -- Tier 2
		{ pattern = "Reduces the mana cost of your Renew spell by (%d+)%%%.", effect = "CHEAPERRENEW"}, -- Tier 3
		{ pattern = "Increases the duration of your Renew spell by (%d+) sec%.", effect = "DURATIONRENEW"}, -- AQ40
    { pattern = "Increases the healing from your Greater Heal ability by (%d+)%%%.", effect = "IMPGREATERHEAL"}, -- Tier 6 TODO: Localize

    -- Druid sets
		{ pattern = "Reduces the casting time of your Regrowth spell by 0%.(%d+) sec%.", effect = "CASTINGREGROWTH"}, -- Tier 2
		{ pattern = "Increases the duration of your Rejuvenation spell by (%d+) sec%.", effect = "DURATIONREJUV"}, -- Tier 2
		{ pattern = "Reduces the mana cost of your Healing Touch%, Regrowth%, Rejuvenation%,  and Tranquility spells by (%d+)%%%.", effect = "CHEAPERDRUID"}, -- Tier 3
		{ pattern = "On Healing Touch critical hits%, you regain (%d+)%% of the mana cost of the spell%.", effect = "REFUNDHTCRIT"}, -- Tier 3
    { pattern = "Increases the duration of your Regrowth spell by (%d+) sec%.", effect = "DURATIONREGROWTH"}, -- Tier 5
    { pattern = "Increases the final amount healed by your Lifebloom spell by (%d+)%.", effect = "IMPLIFEBLOOMBURST"}, -- Tier 5
    { pattern = "Increases the healing from your Healing Touch ability by (%d+)%%%.", effect = "IMPHEALINGTOUCH2"}, -- Tier 6 TODO: Localize

    -- Shaman sets
		{ pattern = "After casting your Healing Wave or Lesser Healing Wave spell%, gives you a 25%% chance to gain Mana equal to (%d+)%% of the base cost of the spell%.", effect = "REFUNDHEALINGWAVE"}, -- Tier 1
		{ pattern = "Your Healing Wave will now jump to additional nearby targets%. Each jump reduces the effectiveness of the heal by (%d+)%%%, and the spell will jump to up to two additional targets%.", effect = "JUMPHEALINGWAVE"}, -- Tier 1
		{ pattern = "Increases the amount healed by Chain Heal to targets beyond the first by (%d+)%%%.", effect = "IMPCHAINHEAL"}, -- Tier 2
    { pattern = "Reduces the cost of your Lesser Healing Wave spell by (%d+)%%%.", effect = "CHEAPERLESSERHEALINGWAVE"}, -- Tier 5
    { pattern = "Reduces the casting time of your Healing Wave spell by 0%.(%d+) sec%.", effect = "CASTINGHEALINGWAVE"}, -- Tier 5
		{ pattern = "%-0%.(%d+) seconds on the casting time of your Chain Heal spell%.", effect = "CASTINGCHAINHEAL"}, -- AQ40
    { pattern = "Your Chain Heal ability costs (%d+)%% less mana%.", effect = "CHEAPERCHAINHEAL"}, -- Tier 6 TODO: Localize
    { pattern = "Increases the amount healed by your Lesser Healing Wave ability by (%d+)%%%.", effect = "IMPLESSERHEALINGWAVE2"}, -- Tier 6 TODO: Localize
    
    -- Librams
		{ pattern = "Increases healing done by Flash of Light by up to (%d+)%.", effect = "IMPFLASHOFLIGHT"},
    { pattern = "Increases the benefit your Flash of Light and Holy Light spells receive from Blessing of Light by (%d+)%.", effect = "IMPBOL"}, 
    { pattern = "Increases healing done by Holy Light by up to (%d+)%.", effect = "IMPHOLYLIGHT"},
    { pattern = "Reduces the mana cost of Holy Light by (%d+).", effect = "CHEAPERHOLYLIGHT"}, -- TODO: Localize

    -- Idols
		{ pattern = "Increases the amount healed by Healing Touch by (%d+)%.", effect = "IMPHEALINGTOUCH"},
    { pattern = "Gain up to (%d+) mana each time you cast Healing Touch%.", effect = "REFUNDHT"},
    { pattern = "Increases the final healing value of your Lifebloom by (%d+)%.", effect = "IMPLIFEBLOOMBURST"}, 
		{ pattern = "Increases healing done by Rejuvenation by up to (%d+)%.", effect = "IMPREJUVENATION"},
		{ pattern = "Increases the periodic healing of your Lifebloom by up to (%d+)%.", effect = "IMPLIFEBLOOM"},
		{ pattern = "Reduces the mana cost of Regrowth by (%d+)%.", effect = "CHEAPERREGROWTH"},

    -- Totems
    { pattern = "Regain up to (%d+) mana each time you cast Lesser Healing Wave.", effect = "REFUNDLESSERHEALINGWAVE"}, -- TODO: Implement
    { pattern = "Increases the base amount healed by Chain Heal by (%d+)%.", effect = "IMPCHAINHEAL2"}, 
		{ pattern = "Increases healing done by Lesser Healing Wave by up to (%d+)%.", effect = "IMPLESSERHEALINGWAVE"},
    { pattern = "Reduces the mana cost of Healing Wave by (%d+)%.", effect = "CHEAPERHEALINGWAVE"},
    { pattern = "Increases healing done by Healing Wave by up to (%d+)%.", effect = "IMPHEALINGWAVE"}, 
 	};
	
	-- generic patterns have the form "+xx bonus" or "bonus +xx" with an optional % sign after the value.
	
	-- first the generic bonus string is looked up in the following table
	HealPointsBSL.PATTERNS_GENERIC_LOOKUP = { -- must be lower case
		["all stats"] 			= {"INT", "SPI", "STR"},
		["intellect"]			= "INT",
		["spirit"] 				= "SPI",
    ["strength"]      = "STR",
	
		["healing spells"] 		= "HEAL",
    ["healing"] = "HEAL",
		["increases healing"] 	= "HEAL",
		["healing and spell damage"] = "HEAL",
		["damage and healing spells"] = "HEAL",
		["spell damage and healing"] = "HEAL",	
		["mana every 5 seconds"] 	= "MANAREG",
		["mana every 5 sec"] 	= "MANAREG",
		["mana per 5 seconds"] 	= "MANAREG",
		["mana per 5 sec"] 	= "MANAREG",
		["spell critical strike rating"] 	= "SPELLCRITRATING",
		["spell critical rating"] 	= "SPELLCRITRATING",
		["spell crit rating"] 	= "SPELLCRITRATING",
		["spell damage"] 		= "HEAL", -- Spell Power enchant also increase +healing (added in patch 1.12)
		["mana regen"] 			= "MANAREG",
		["mana"]				= "MANA",
	};	
	
	-- finally if we got no match, we match against some special enchantment patterns.
	HealPointsBSL.PATTERNS_OTHER = {
		{ pattern = "Mana Regen (%d+) per 5 sec%.", effect = "MANAREG" },
		
		{ pattern = "Minor Wizard Oil", effect = "HEAL", value = 8 },
		{ pattern = "Lesser Wizard Oil", effect = "HEAL", value = 16 },
		{ pattern = "Wizard Oil", effect = "HEAL", value = 24 },
		{ pattern = "Brilliant Wizard Oil", effect = {"HEAL", "SPELLCRIT"}, value = {36, 1} },
	
		{ pattern = "Minor Mana Oil", effect = "MANAREG", value = 4 },
		{ pattern = "Lesser Mana Oil", effect = "MANAREG", value = 8 },
		{ pattern = "Brilliant Mana Oil", effect = { "MANAREG", "HEAL"}, value = {12, 25} },	
		{ pattern = "Superior Mana Oil", effect = "MANAREG", value = 14 },

    { pattern = "Vitality", effect = "MANAREG", value = 4 },

    { pattern = "%+(%d+) Spell Damage and Minor Run Speed Increase", effect = "HEAL"},    
  };

elseif (GetLocale() == "deDE") then
	HealPointsBSL.SOCKET_MSG = "<Zum Sockeln Shift-Rechtsklick>";
	HealPointsBSL.GEM_TYPE = "Edelstein";
  HealPointsBSL.AND = "und"; 

	HealPointsBSL.PATTERNS_SETEQUIP = {
    -- General patterns  
		{ pattern = "Erh\195\182ht durch Zauber und magische Effekte zugef\195\188gten Schaden und Heilung um bis zu (%d+)%.", effect = "HEAL" },
		{ pattern = "Erh\195\182ht durch Zauber und Effekte verursachte Heilung um bis zu (%d+)%.", effect = "HEAL" }, -- ok
    { pattern = "Erh\195\182ht durch Zauber und magische Effekte verursachten Schaden und Heilung um bis zu (%d+)%.", effect = "HEAL"}, -- ok
		{ pattern = "Erh\195\182ht die durch Zauber und Effekte verursachte Heilung um bis zu (%d+)%.", effect = "HEAL" },
		{ pattern = "Stellt alle 5 Sek%. (%d+) Punkt%(e%) Mana wieder her%.", effect = "MANAREG" },
		{ pattern = "Stellt alle 5 Sek%. (%d+) Mana wieder her%.", effect = "MANAREG" }, -- ok
    { pattern = "Erh\195\182ht Eure kritische Zaubertrefferwertung um (%d+)%.", effect = "SPELLCRITRATING"}, -- ok
    { pattern = "Erh\195\182ht kritische Zaubertrefferwertung um (%d+)%.", effect = "SPELLCRITRATING"}, -- ok
    { pattern = "(%d+)%% Eurer Manaregeneration bleibt w\195\164hrend des Zauberwirkens bestehen%.", effect = "CASTINGREG"}, -- ok
    { pattern = "Erh\195\182ht die Heilung um bis zu (%d+)%% Eurer gesamten Intelligenz%.", effect = "HEALFROMINT" }, -- ok 
    { pattern = "Euer Zauberschaden wird um (%d+)%% Eurer gesamten Intelligenz erh\195\182ht.", effect = "HEALFROMINT" }, -- ok

    -- Paladin sets
		{ pattern = "Verringert die Zauberzeit Eures Zaubers %'Heiliges Licht%' um 0%.(%d+) Sek%.", effect = "CASTINGHOLYLIGHT"}, -- Tier 5 -- ok
		{ pattern = "Verringert die Zauberzeit Eures Zaubers %'Heiliges Licht%' um 0%.(%d+) Sekunden%.", effect = "CASTINGHOLYLIGHT"}, -- ZG -- ok
    { pattern = "Erh\195\182ht die Chance auf einen kritischen Treffer mit Eurem Zauber %'Lichtblitz%' um (%d+)%%%.", effect = "CRITFLASHOFLIGHT"}, -- Arena -- ok

    -- Priest sets
		{ pattern = "Verringert die Zauberzeit f\195\188r Euren Zauber %'Blitzheilung%' um 0%.(%d+)%.", effect = "CASTINGFLASHHEAL"}, -- Tier 1 -- ok
		{ pattern = "Euer Zauber %'Gro\195\159e Heilung%' hat nun einen zus\195\164 tzlichen Heileffekt%, der dem Zauber %'Erneuerung%' mit Rang (%d+) entspricht%.", effect = "GHEALRENEW"}, -- Tier 2 -- ok
		{ pattern = "Verringert die Manakosten Eures Zaubers %'Erneuerung%' um (%d+)%%%.", effect = "CHEAPERRENEW"}, -- Tier 3 -- ok
		{ pattern = "Erh\195\182ht die Wirkungsdauer von %'Erneuern%' um (%d+) Sekunden%.", effect = "DURATIONRENEW"}, -- AQ40 -- ok
    
    -- Druid sets
		{ pattern = "Verringert die Zauberzeit Eures Zaubers %'Nachwachsen%' um 0%.(%d+) Sekunden%.", effect = "CASTINGREGROWTH"}, -- Tier 2 -- ok
		{ pattern = "Erh\195\182ht die Dauer Eures Zaubers %'Verj\195\188ngung%' um (%d+) Sek%.", effect = "DURATIONREJUV"}, -- Tier 2 -- ok
  	{ pattern = "Verringert die Manakosten Eurer Zauber %'Heilende Ber\195\188hrung%'%, %'Nachwachsen%'%, %'Verj\195\188ngung%' und %'Gelassenheit%' um (%d+)%%%.", effect = "CHEAPERDRUID"}, -- Tier 3 -- ok
		{ pattern = "Bei kritischen Treffern Eures Zaubers %'Heilende Ber\195\188hrung%' erhaltet Ihr (%d+)%% der Manakosten dieses Zaubers zur\195\188ck%.", effect = "REFUNDHTCRIT"}, -- Tier 3 -- ok
    { pattern = "Erh\195\182ht die Dauer Eures Zaubers %'Nachwachsen%' um (%d+) Sek%.", effect = "DURATIONREGROWTH"}, -- Tier 5 -- ok
    { pattern = "Erh\195\182ht die sofortige Heilung Eurer F\195\164higkeit %'Bl\195\182hendes Leben%' um (%d+)%.", effect = "IMPLIFEBLOOMBURST"}, -- Tier 5 -- ok
    
    -- Shaman sets
		{ pattern = "Wenn die Zauber %'Welle der Heilung%' oder %'Geringe Welle der Heilung%' gewirkt werden%, besteht eine Chance von 25%%%, Mana zu gewinnen%. Der Managewinn entspricht (%d+)%% der Basiskosten des Zaubers%.", effect = "REFUNDHEALINGWAVE"}, -- Tier 1 -- ok
		{ pattern = "Eure Zauber %'Welle der Heilung%' springen auf bis zu zwei zus\195\164tzliche Ziele \195\188ber%. Bei jedem Sprung reduziert sich die Effektivit\195\164t der Heilung um (%d+)%%%.", effect = "JUMPHEALINGWAVE"}, -- Tier 1 -- ok
		{ pattern = "Erh\195\182ht den durch %'Kettenheilung%' geheilten Wert bei jedem Ziel nach dem ersten um (%d+)%%%.", effect = "IMPCHAINHEAL"}, -- Tier 2 -- ok
    { pattern = "Verringert die Manakosten Eures Zaubers %'Geringe Welle der Heilung%' um (%d+)%%%.", effect = "CHEAPERLESSERHEALINGWAVE"}, -- Tier 5 -- ok
    { pattern = "Verringert die Zauberzeit Eures Zaubers %'Welle der Heilung%' um 0%.(%d+) Sek%.", effect = "CASTINGHEALINGWAVE"}, -- Tier 5 -- ok
		{ pattern = "Die Zauberzeit von %'Kettenheilung%' wird um 0%.(%d+) Sekunden reduziert%.", effect = "CASTINGCHAINHEAL"}, -- AQ40 -- ok

    -- Librams
		{ pattern = "Erh\195\182ht durch %'Lichtblitz%' verursachte Heilung um bis zu (%d+)%.", effect = "IMPFLASHOFLIGHT"}, -- ok
    { pattern = "Erh\195\182ht die durch %'Segen des Lichts%' gew\195\164hrte Extraheilung f\195\188r %'Heiliges Licht%' und %'Lichtblitz%' um (%d+)%.", effect = "IMPBOL"}, -- ok
    { pattern = "Erh\195\182ht die von %'Heiliges Licht%' verursachte Heilung um bis zu (%d+)%.", effect = "IMPHOLYLIGHT"}, -- ok
    
    -- Idols
		{ pattern = "Erh\195\182ht den durch Euren Zauber %'Heilende Ber\195\188hrung%' geheilten Wert um (%d+).", effect = "IMPHEALINGTOUCH"}, -- ok
    { pattern = "Jedes Mal%, wenn Ihr %'Heilende Ber\195\188hrung%' wirkt%, erhaltet ihr bis zu (%d+) Mana zur\195\188ckerstattet%.", effect = "REFUNDHT"}, -- ok
    { pattern = "Erh\195\182ht die abschlie\195\159ende Heilung von %'Bl\195\188hendes Leben%' um (%d+)%.", effect = "IMPLIFEBLOOMBURST"}, -- ok
		{ pattern = "Erh\195\182ht die Heilwirkung Eures Zaubers %'Verj\195\188ngung%' um bis zu (%d+)%.", effect = "IMPREJUVENATION"}, -- ok
		{ pattern = "Erh\195\182ht die regelm\195\164\195\159ige Heilung von %'Bl\195\188hendes Leben%' um bis zu (%d+)%.", effect = "IMPLIFEBLOOM"}, -- ok
		{ pattern = "Verringert die Manakosten des Zaubers %'Nachwachsen%' um (%d+)%.", effect = "CHEAPERREGROWTH"}, -- ok

    -- Totems
    { pattern = "Jedes Mal%, wenn Ihr %'Geringe Welle der Heilung%' wirkt%, erhaltet ihr bis zu (%d+) Mana zur\195\188ck%.", effect = "REFUNDLESSERHEALINGWAVE"}, -- ok
    { pattern = "Erh\195\182ht den von %'Kettenheilung%' geheilten Grundwert um (%d+)%.", effect = "IMPCHAINHEAL2"}, -- ok
		{ pattern = "Erh\195\182ht die durch %'Geringe Welle der Heilung%' verursachte Heilung um bis zu (%d+)%.", effect = "IMPLESSERHEALINGWAVE"}, -- ok
    { pattern = "Verringert die Manakosten Eures Zaubers %'Welle der Heilung%' um (%d+)%.", effect = "CHEAPERHEALINGWAVE"}, -- ok
    { pattern = "Erh\195\182ht den durch %'Welle der Heilung%' geheilten Betrag um bis zu (%d+)%.", effect = "IMPHEALINGWAVE"}, -- ok
};
		
		
	HealPointsBSL.PATTERNS_GENERIC_LOOKUP = { -- must be lower case
		["alle werte"] 			= {"INT", "SPI", "STR"},
		["intelligenz"]			= "INT",
		["willenskraft"] 		= "SPI",
    ["st\195\164rke"]   = "STR",
	
		["mana alle 5 sek"] 	= "MANAREG",
		["manaregeneration"]	= "MANAREG",
		["heilzauber"]			= "HEAL",
		["heilung und zauberschaden"] = "HEAL",
		["zauberschaden und heilung"] = "HEAL",
		["zauberschaden"] 		= "HEAL",
		["mana"]				= "MANA",

		["kritische zaubertrefferwertung"] = "SPELLCRITRATING",
		["heilung"] = "HEAL",
	};
	
	HealPointsBSL.PATTERNS_OTHER = {
		{ pattern = "Manaregeneration (%d+) per 5 Sek%.", effect = "MANAREG" },
    { pattern = "Alle 5 Sek%. (%d+) Mana", effect = "MANAREG" }, -- ok

		{ pattern = "Schwaches Zauber\195\182l", effect = "HEAL", value = 8 },
		{ pattern = "Geringes Zauber\195\182l", effect = "HEAL", value = 16 },
		{ pattern = "Zauber\195\182l", effect = "HEAL", value = 24 },
		{ pattern = "Hervorragendes Zauber\195\182l", effect = {"HEAL", "SPELLCRIT"}, value = {36, 1} },
	
		{ pattern = "Schwaches Mana\195\182l", effect = "MANAREG", value = 4 },
		{ pattern = "Geringes Mana\195\182l", effect = "MANAREG", value = 8 },
		{ pattern = "Hervorragendes Mana\195\182l", effect = { "MANAREG", "HEAL"}, value = {12, 25} },
		{ pattern = "\195\156berragendes Mana\195\182l", effect = "MANAREG", value = 14 }, -- ok

    { pattern = "Vitalit\195\164t", effect = "MANAREG", value = 4 }, -- ok

    { pattern = "%+(%d+) Zauberschaden und geringe Bewegungstempoerh\195\182hung", effect = "HEAL"},    
    
    { pattern = "Kritische Trefferwertung %+%d+ und alle 5 Sek%. (%d+) Mana", effect = "MANAREG"},    
    { pattern = "Zaubertrefferwertung %+%d+ und alle 5 Sek%. (%d+) Mana", effect = "MANAREG"},    
    { pattern = "Verteidigungswertung %+%d+ und alle 5 Sek%. (%d+) Mana", effect = "MANAREG"},    
    { pattern = "Heilzauber %+(%d+) und alle 5 Sek%. (%d+) Mana", effect = { "HEAL", "MANAREG" }},
    { pattern = "%+(%d+) Heilzauber und alle 5 Sek%. (%d+) Mana", effect = { "HEAL", "MANAREG" }},
    { pattern = "Heilung %+(%d+) und alle 5 Sek%. (%d+) Mana", effect = { "HEAL", "MANAREG" }},
    { pattern = "%+(%d+) Heilung und alle 5 Sek%. (%d+) Mana", effect = { "HEAL", "MANAREG" }},
    { pattern = "Intelligenz %+(%d+) und alle 5 Sek%. (%d+) Mana", effect = { "INT", "MANAREG" }},
    { pattern = "%+(%d+) Intelligenz und alle 5 Sek%. (%d+) Mana", effect = { "INT", "MANAREG" }},
    { pattern = "Kritische Zaubertrefferwertung %+(%d+) und alle 5 Sek%. (%d+) Mana", effect = { "SPELLCRITRATING", "MANAREG" }},
	};

elseif (GetLocale() == "frFR") then
	HealPointsBSL.SOCKET_MSG = "<Maj clic-droit pour sertir>";
	HealPointsBSL.GEM_TYPE = "Gemme";
  HealPointsBSL.AND = "et"; 

	HealPointsBSL.PATTERNS_SETEQUIP = {
    -- General patterns
		{ pattern = "Augmente les effets des sorts de soins de (%d+)% au maximum%.", effect = "HEAL" },
		{ pattern = "Augmente les soins prodigu\195\169s par les sorts et effets de (%d+)% au maximum%.", effect = "HEAL" }, -- ok
		{ pattern = "Augmente les d\195\169g\195\162ts et les soins produits par les sorts et effets magiques de (%d+)% au maximum%.", effect = "HEAL" }, -- ok
		{ pattern = "Rend (%d+) points de mana toutes les 5 secondes%.", effect = "MANAREG" }, -- ok
		{ pattern = "Rend (%d+) points de mana toutes les 5 sec%.", effect = "MANAREG" }, -- ok
		{ pattern = "Augmente de (%d+) le score de coup critique des sorts%.", effect = "SPELLCRITRATING"}, -- ok
		{ pattern = "Augmente le score de coup critique des sorts de (%d+)%.", effect = "SPELLCRITRATING"}, -- ok
		{ pattern = "(%d+)%% de votre vitesse de r\195\169cup\195\169ration du Mana sont actifs lorsque vous incantez%.", effect = "CASTINGREG"},
    { pattern = "Increases healing by up to (%d+)%% of your total Intellect%.", effect = "HEALFROMINT" }, -- TODO: Localize
    { pattern = "Increases spell damage by up to (%d+)%% of your total Intellect%.", effect = "HEALFROMINT" }, -- TODO: Localize

		-- Paladin sets
		{ pattern = "R\195\169duit le temps d%'incantation de votre sort Lumi\195\168re sacr\195\169e de 0%.(%d+) sec%.", effect = "CASTINGHOLYLIGHT"}, -- Tier 5, ZG
    { pattern = "Increases the critical effect chance of your Flash of Light by (%d+)%%%.", effect = "CRITFLASHOFLIGHT"}, -- Arena -- TODO: Localize

    -- Priest sets
		{ pattern = "%-0%.(%d+) sec%. au temps d%'incantation de votre sort Soins rapides%.", effect = "CASTINGFLASHHEAL"}, -- Tier 1
		{ pattern = "Vos Soins sup\195\169rieurs soignent maintenant aussi sur la dur\195\169e %(\195\169quivalent de R\195\169novation rang (%d+)%)%.", effect = "GHEALRENEW"}, -- Tier 2
		{ pattern = "Reduit le co\195\187t en mana de votre sort R\195\169novation de (%d+)%%%.", effect = "CHEAPERRENEW"}, -- Tier 3
		{ pattern = "Augmente la dur\195\169e de votre sort R\195\169novation de (%d+) sec%.", effect = "DURATIONRENEW"}, -- AQ40
    
    -- Druid sets
		{ pattern = "R\195\169duit le temps d%'incantation de votre sort R\195\169tablissement de 0%.(%d+) sec%.", effect = "CASTINGREGROWTH"}, -- Tier 2
		{ pattern = "Augmente la dur\195\169e de votre sort R\195\169cup\195\169ration de (%d+) sec%.", effect = "DURATIONREJUV"}, -- Tier 2
		{ pattern = "R\195\169duit de (%d+)%% le co\195\187t en mana de vos sorts Toucher gu\195\169risseur%, R\195\169tablissement%, R\195\169cup\195\169ration et Tranquillit\195\169%.", effect = "CHEAPERDRUID"}, -- Tier 3
		{ pattern = "En cas de r\195\169ussite critique sur un Toucher gu\195\169risseur%, vous r\195\169cup\195\169rez (%d+)%% du co\195\187t en mana du sort%.", effect = "REFUNDHTCRIT"}, -- Tier 3
    { pattern = "Increases the duration of your Regrowth spell by (%d+) sec%.", effect = "DURATIONREGROWTH"}, -- Tier 5 TODO: Localize
    { pattern = "Increases the final amount healed by your Lifebloom spell by (%d+)%.", effect = "IMPLIFEBLOOMBURST"}, -- Tier 5 TODO: Localize

    -- Shaman sets
		{ pattern = "Apr\195\168s avoir lanc\195\169 un sort de Vague de soins ou de Vague de soins inf\195\169rieurs%, vous avez 25%% de chances de gagner un nombre de points de mana \195\169gal \195\160 (%d+)%% du co\195\187t de base du sort%.", effect = "REFUNDHEALINGWAVE"}, -- Tier 1
		{ pattern = "Votre Vague de soins soigne aussi des cibles proches suppl\195\169mentaires%. Chaque nouveau soin perd (%d+)%% d%'efficacit\195\169%, et le sort soigne jusqu%'\195\160 deux cibles suppl\195\169mentaires%.", effect = "JUMPHEALINGWAVE"}, -- Tier 1
		{ pattern = "Augmente de (%d+)%% le montant de points de vie rendus par Salve de gu\195\169rison aux cibles qui suivent la premi\195\168re%.", effect = "IMPCHAINHEAL"}, -- Tier 2
    { pattern = "Reduces the cost of your Lesser Healing Wave spell by (%d+)%%%.", effect = "CHEAPERLESSERHEALINGWAVE"}, -- Tier 5 TODO: Localize
    { pattern = "Reduces the casting time of your Healing Wave spell by 0%.(%d+) sec%.", effect = "CASTINGHEALINGWAVE"}, -- Tier 5 TODO: Localize
		{ pattern = "%-0%,(%d+) secondes au temps d%'incantation de votre sort Salve de gu\195\169rnison%.", effect = "CASTINGCHAINHEAL"}, -- AQ40
    
    -- Librams
		{ pattern = "Augmente les soins prodigu\195\169s par Eclair lumineux de (%d+) au maximum%.", effect = "IMPFLASHOFLIGHT"}, -- ok
    { pattern = "Increases the benefit your Flash of Light and Holy Light spells receive from Blessing of Light by (%d+)%.", effect = "IMPBOL"}, -- TODO: Localize
    { pattern = "Increases healing done by Holy Light by up to (%d+)%.", effect = "IMPHOLYLIGHT"}, -- TODO: Localize

    -- Idols
		{ pattern = "Increases the amount healed by Healing Touch by (%d+)%.", effect = "IMPHEALINGTOUCH"}, -- TODO: Localize
    { pattern = "Recevez un maximum de (%d+) points de mana chaque fois que vous lancez un Toucher gu\195\169risseur%.", effect = "REFUNDHT"},
    { pattern = "Increases the final healing value of your Lifebloom by (%d+)%.", effect = "IMPLIFEBLOOMBURST"}, -- TODO: Localize
    { pattern = "Augmente les soins prodigu\195\169s par R\195\169cup\195\169ration de (%d+) au maximum%.", effect = "IMPREJUVENATION"},
		{ pattern = "Increases the periodic healing of your Lifebloom by up to (%d+)%.", effect = "IMPLIFEBLOOM"}, -- TODO: Localize

    -- Totems
    { pattern = "Regain up to (%d+) mana each time you cast Lesser Healing Wave.", effect = "REFUNDLESSERHEALINGWAVE"}, -- TODO: Localize
    { pattern = "Increases the base amount healed by Chain Heal by (%d+)%.", effect = "IMPCHAINHEAL2"}, -- TODO: Localize
		{ pattern = "Augmente les soins prodigu\195\169s par votre Vague de Soins Inf\195\169rieurs de (%d+)%.", effect = "IMPLESSERHEALINGWAVE"},
    { pattern = "Reduces the mana cost of Heaing Wave by (%d+)%.", effect = "CHEAPERHEALINGWAVE"}, -- TODO: Localize
    { pattern = "Increases healing done by Healing Wave by up to (%d+)%.", effect = "IMPHEALINGWAVE"}, -- TODO: Localize    
	};
	
	HealPointsBSL.PATTERNS_GENERIC_LOOKUP = { -- must be lower case
		["\195\160 toutes les caract\195\169ristiques"] = {"INT", "SPI", "STR"}, -- ok
		["intelligence"] = "INT", -- ok
		["esprit"] = "SPI", -- ok
    ["force"] = "STR", -- ok

		["sorts de soins"] = "HEAL",
		["aux soins"] = "HEAL", -- ok
		["aux sorts de soins"] = "HEAL", -- ok
    ["aux d\195\169g\195\162ts des sorts"] = "HEAL", -- ok
    ["aux d\195\169g\195\162ts des sorts et aux soins"] = "HEAL", -- ok
		["d\195\169g\195\162ts et soins "] = "HEAL",
		["sorts de dommages"] = "HEAL", 
    ["au score de coup critique des sorts"] = "SPELLCRITRATING", -- ok

		["mana chaque 5 sec"] = "MANAREG",
		["points de mana toutes les 5 sec"] = "MANAREG", -- ok
    ["points de mana toutes les 5 secondes"] = "MANAREG", -- ok
    ["mana toutes les 5 secondes"] = "MANAREG", -- ok
		["mana"] = "MANA",
	};
		
	HealPointsBSL.PATTERNS_OTHER = {
		{ pattern = "Mana chaque (%d+) per 5 sec%.", effect = "MANAREG" }, --?
		
		{ pattern = "Huile de sorcier mineure", effect = "HEAL", value = 8 },
		{ pattern = "Huile de sorcier inf\195\169rieure", effect = "HEAL", value = 16 },
		{ pattern = "Huile de sorcier", effect = "HEAL", value = 24 },
		{ pattern = "Huile de sorcier brillante", effect = {"HEAL", "SPELLCRIT"}, value = {36, 1} },
	
		{ pattern = "Huile de mana mineure", effect = "MANAREG", value = 4 },
		{ pattern = "Huile de mana inf\195\169rieure", effect = "MANAREG", value = 8 },
		{ pattern = "Huile de mana brillante", effect = { "MANAREG", "HEAL"}, value = {12, 25} },	
		{ pattern = "Huile de mana excellente", effect = "MANAREG", value = 14 },
    
    { pattern = "%+(%d+) Soins et %+%d+ Endurance", effect = "HEAL"}, -- ok
    
    { pattern = "Score de critique %+%d+ et (%d+) points de mana toutes les 5 sec%.", effect = "MANAREG"}, -- ok

    { pattern = "Vitalit\195\169", effect = "MANAREG", value = 4 }, -- ok

    };

elseif (GetLocale() == "esES") then
	HealPointsBSL.SOCKET_MSG = "<Mays clic derecho para insertar>";
	HealPointsBSL.GEM_TYPE = "Gema";
  HealPointsBSL.AND = "y"; 

	HealPointsBSL.PATTERNS_SETEQUIP = {
    -- General patterns
		{ pattern = "Restaura (%d+) p%. de man\195\161 cada 5 s%.", effect = "MANAREG" },
    { pattern = "Aumenta la sanaci\195\179n por hechizos y efectos hasta en (%d+) p%.", effect = "HEAL" },
    { pattern = "Aumenta el da\195\177o y la sanaci\195\179n de los hechizos m\195\161gicos y los efectos hasta en (%d+) p%.", effect = "HEAL" },
    { pattern = "Aumenta tu \195\173ndice de golpe cr\195\173tico con hechizos en (%d+) p%.", effect = "SPELLCRITRATING" },
    { pattern = "Mejora tu \195\173ndice de golpe cr\195\173tico con hechizos en (%d+)%.", effect = "SPELLCRITRATING" },

		-- Paladin sets
    
    -- Priest sets
    
    -- Druid sets

    -- Shaman sets
    
    -- Librams
		{ pattern = "Aumenta la sanaci\195\179n hecha por Destello de Luz hasta en (%d+) p%.", effect = "IMPFLASHOFLIGHT"}, 

    -- Idols

    -- Totems
	};
	
	HealPointsBSL.PATTERNS_GENERIC_LOOKUP = { -- must be lower case
    ["todas las estadisticas"] = { "STR", "INT", "SPI" },
    ["fortaleza"] = "STR",
    ["intelecto"] = "INT",
    ["esp\195\173ritu"] = "SPI",
    
    ["hechizos de sanaci\195\179n"] = "HEAL",
    ["da\195\177o de hechizo y sanaci\195\179n"] = "HEAL",
    ["da\195\177o de hechizo"] = "HEAL",
    ["sanaci\195\179n"] = "HEAL",
    ["man\195\161 cada 5 s"] = "MANAREG",
    ["man\195\161 por 5 s"] = "MANAREG",
    ["\195\173ndice de golpes cr\195\173ticos con hechizos"] = "SPELLCRITRATING",
	};
		
	HealPointsBSL.PATTERNS_OTHER = {
    { pattern = "Aceite de man\195\161 excelente", effect = "MANAREG", value = 14 },

    { pattern = "Vitalidad", effect = "MANAREG", value = 4 }, -- ok

  };  
end